Summary:	Net6 network library
Summary(pl.UTF-8):	Biblioteka sieciowa net6
Name:		net6
Version:	1.3.14
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://releases.0x539.de/net6/%{name}-%{version}.tar.gz
# Source0-md5:	be6db739f71c5c08421bf6181e77f3b2
Patch0:		%{name}-gnutls.patch
Patch1:		long-long.patch
URL:		http://gobby.0x539.de/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.15
BuildRequires:	gnutls-devel >= 2.2
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	libstdc++-devel >= 6:4.3
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
net6 is a library which eases the development of network-based
applications as it provides a TCP protocol abstraction for C++. It is
portable to both the Windows and Unix-like platforms.

%description -l pl.UTF-8
net6 to biblioteka ułatwiająca tworzenie aplikacji sieciowych,
udostępniająca abstrakcję protokołu TCP dla C++. Jest przenośna na
platformy uniksowe oraz Windows.

%package devel
Summary:	Header files for net6
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki net6
Summary(pt_BR.UTF-8):	Arquivos do pacote net6 para desenvolvimento
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls-devel >= 2.2
Requires:	libsigc++-devel >= 2.0

%description devel
Header files for net6.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki net6.

%description devel -l pt_BR.UTF-8
Arquivos de cabeçalho e bibliotecas usadas no desenvolvimento de
aplicativos que usam net6.

%package static
Summary:	Static net6 library
Summary(pl.UTF-8):	Biblioteka statyczna net6
Summary(pt_BR.UTF-8):	Arquivos do pacote net6 para desenvolvimento estático
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static net6 library.

%description static -l pl.UTF-8
Biblioteka statyczna net6.

%description static -l pt_BR.UTF-8
Arquivos de cabeçalho e bibliotecas usadas no desenvolvimento de
aplicativos estáticos que usam net6.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
CXXFLAGS="%{rpmcxxflags} -std=c++0x"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libnet6-1.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnet6-1.3.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnet6.so
%{_libdir}/libnet6.la
%{_includedir}/net6
%{_pkgconfigdir}/net6-1.3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnet6.a
%changelog
* Wed Feb 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/net6.git;a=log;h=master

* Wed Feb 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 2538c6d
- pass -std to enable C++ 11 for libsigc++; release 3

* Sun Jun 28 2015 Jan Rękorajski <baggins@pld-linux.org> 529c735
- add missing types for serialization
- rel 2

* Sun May 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 34663ae
- updated to 1.3.14 (fixes CVE-2011-4091 CVE-2011-4093)
- added gnutls patch (fixes build with gnutls 3.4)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ed9a314
- updated gettext BR

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ba7f06
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bffacbc
- release 2

* Thu Jan 15 2009 duddits <duddits@pld-linux.org> c7198f4
- up to 1.3.9

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> f61dbc9
- BR: pkgconfig

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 1725a24
- libtool 1.5 for C++ support

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 8cde6ae
- release 3

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 77c8049
- updated deps, added docs
- License is LGPL (v2.1+)

* Thu Jan 17 2008 Elan Ruusamäe <glen@pld-linux.org> 850b1d9
- rel 2

* Wed Apr 25 2007 Patryk Zawadzki <patrys@room-303.com> 34aaacf
- 1.3.4

* Tue Mar 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f3014a8
- builds

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5b19c0e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e6ef4a1
- converted to UTF-8

* Wed Aug 16 2006 undefine <undefine@pld-linux.org> 84f8fd5
- up to 1.2.2

* Sun Nov 27 2005 freetz <freetz@pld-linux.org> 6ebdba5
- 1.2.1, international files packaged

* Fri Nov 18 2005 freetz <freetz@pld-linux.org> f14ef98
- 1.2.0, full am/ac rebuild

* Fri Nov 18 2005 freetz <freetz@pld-linux.org> 5858e6a
- libsigc++-devel R: in -devel

